--- gildas-src-feb25b/admin/define-system.sh.orig	2025-02-03 12:14:59
+++ gildas-src-feb25b/admin/define-system.sh	2025-02-03 15:43:56
@@ -25,7 +25,7 @@
         # Return 0 if first argument is "lower or equal" the second argument
         # NB: the line return in echo below is more portable than echo -e "\n"
         [  "$1" = "`echo "$1
-$2" | sort -V | head -n1`" ]
+$2" | @PREFIX@/bin/gsort -V | head -n1`" ]
     }
     verlt() {
         # Return 0 if first argument is "lower than" second argument
@@ -272,18 +272,18 @@
         	else
         	    GAG_MACHINE=pc
         	fi
-                if which gcc > /dev/null 2>&1; then
-                    DEFAULT_CCOMPILER=gcc
+                if which @CC@ > /dev/null 2>&1; then
+                    DEFAULT_CCOMPILER=@CC@
                 fi
-                if which g++ > /dev/null 2>&1; then
-                    DEFAULT_CXXCOMPILER=g++
+                if which @CXX@ > /dev/null 2>&1; then
+                    DEFAULT_CXXCOMPILER=@CXX@
                 elif which clang++ > /dev/null 2>&1; then
                     DEFAULT_CXXCOMPILER=clang++
                 fi
         	if which ifort > /dev/null 2>&1; then
         	    DEFAULT_FCOMPILER=ifort
-        	elif which gfortran > /dev/null 2>&1; then
-        	    DEFAULT_FCOMPILER=gfortran
+        	elif which @FC@ > /dev/null 2>&1; then
+        	    DEFAULT_FCOMPILER=@FC@
         	fi
             elif [ `uname -p` = "arm" ]; then
                 GAG_MACHINE=arm64
@@ -524,19 +524,19 @@
             GAG_COMPILER_FLIBS="-lgfortran"
         fi
         #
-        CPP_VERSION=`cpp --version | head -1 | \sed "s%.*[^0-9]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*%\1%"`
+        CPP_VERSION=`@CPP@ --version | head -1 | \sed "s%.*[^0-9]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*%\1%"`
         if verle "4.8" "$CPP_VERSION"; then
             # See http://gcc.gnu.org/gcc-4.8/porting_to.html
             GAG_COMPILER_CPPFLAGS="$GAG_COMPILER_CPPFLAGS -ffreestanding"
+        elif [ "$CPP_VERSION" != "${CPP_VERSION/clang/}" ]; then
+            GAG_COMPILER_CPPFLAGS="$GAG_COMPILER_CPPFLAGS -ffreestanding"
         fi
         #
         export GAG_COMPILER_FLIBS GAG_COMPILER_CPPFLAGS
         export GAG_COMPILER_FFLAGS GAG_COMPILER_SLDFLAGS GAG_COMPILER_FLDFLAGS
         #
-        if \which python > /dev/null 2>&1; then
-            GAG_PYTHON_EXE=python
-        elif \which python3 > /dev/null 2>&1; then
-            GAG_PYTHON_EXE=python3
+        if \which @PYTHON@ > /dev/null 2>&1; then
+            GAG_PYTHON_EXE=@PYTHON@
         else
             GAG_PYTHON_EXE=
         fi
@@ -564,7 +564,7 @@
     #  source admin/gildas-env.sh -c ifort  (use default ifort e.g. ifort 11) and
     #  source admin/gildas-env.sh -c ifort14  (i.e. use namely non default ifort 14)
     # does not build their binaries in the same integration branch.
-    GAG_EXEC_SYSTEM=$GAG_MACHINE-$GAG_TARGET_NAME-$GAG_COMPILER_FEXE$GAG_CONFIG
+    GAG_EXEC_SYSTEM=$GAG_MACHINE-$GAG_TARGET_NAME-$GAG_COMPILER_FKIND
     export GAG_COMP_SYSTEM GAG_EXEC_SYSTEM
     export GAG_MACHINE GAG_CONFIG
     export GAG_ENV_KIND GAG_ENV_NAME GAG_ENV_VERS
